class BrandModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  BrandModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  BrandModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String name;
  String ename;
  String logo;
  String descr;
  int sort;
  int statuz;
  int hotFlag;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.name,
      this.ename,
      this.logo,
      this.descr,
      this.sort,
      this.statuz,
      this.hotFlag});

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    name = json['name'];
    ename = json['ename'];
    logo = json['logo'];
    descr = json['descr'];
    sort = json['sort'];
    statuz = json['statuz'];
    hotFlag = json['hotFlag'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['name'] = this.name;
    data['ename'] = this.ename;
    data['logo'] = this.logo;
    data['descr'] = this.descr;
    data['sort'] = this.sort;
    data['statuz'] = this.statuz;
    data['hotFlag'] = this.hotFlag;
    return data;
  }
}